package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.BaseExample;
import com.lightinit.hsdataplatform.entity.SmsSwitch;
import com.lightinit.hsdataplatform.model.ResultState;

import java.util.List;

public interface ISmsSwitchService {

    List<SmsSwitch> getSmsSwitchList(BaseExample.Page pager);

    long querySmsSwitchCount();

    ResultState add(SmsSwitch inputModel);

    ResultState deleteById(long id);

    ResultState updateById(SmsSwitch inputModel);

    SmsSwitch querySmsSwitchById(Long id);
}
